NXP NFC Reader Library v4.040.05.011646

Data Structures | Macros | Typedefs | Enumerations | Functions
Component : Software
Link Abstraction Layer » NFCForum-LLCP

Implementation of NFCForum Logical Link Control Protocol (LLCP) 1.1. More...

Collaboration diagram for Component : Software:

## Data Structures
struct | phlnLlcp_Socket_Seq
| Socket Sequence. More...
struct | phlnLlcp_Transport_Socket
| Socket structure of LLCP transport. More...
struct | phlnLlcp_LMDataParams
| Link Management parameters that are expected by LLC. More...
struct | phlnLlcp_Sw_DataParams
| LLCP parameter structure. More...

## Macros
#define | PHLN_LLCP_SW_ID 0x01
| ID for Software LLCP layer. More...

## Typedefs
typedef enum phlnLlcp_PType | phlnLlcp_PType_t
| Protocol Data Unit (PDU) type.
typedef enum phlnLlcp_Transport_Socket_Type | phlnLlcp_Transport_Socket_Type_t
| Socket Type.
typedef struct phlnLlcp_Socket_Seq | phlnLlcp_Socket_Seq_t
| Socket Sequence.
typedef struct phlnLlcp_Transport_Socket | phlnLlcp_Transport_Socket_t
| Socket structure of LLCP transport.
typedef enum phlnLlcp_Transport_Socket_State | phlnLlcp_Transport_Socket_State_t
| Socket State of LLCP transport.
typedef struct phlnLlcp_LMDataParams | phlnLlcp_LMDataParams_t
| Link Management parameters that are expected by LLC.
typedef struct phlnLlcp_Sw_DataParams | phlnLlcp_Sw_DataParams_t
| LLCP parameter structure.

## Enumerations
enum | phlnLlcp_PType { PHLN_LLCP_PTYPE_SYMM = 0x00, PHLN_LLCP_PTYPE_PAX, PHLN_LLCP_PTYPE_AGF, PHLN_LLCP_PTYPE_UI, PHLN_LLCP_PTYPE_CONNECT, PHLN_LLCP_PTYPE_DISC, PHLN_LLCP_PTYPE_CC, PHLN_LLCP_PTYPE_DM, PHLN_LLCP_PTYPE_FRMR, PHLN_LLCP_PTYPE_SNL, PHLN_LLCP_PTYPE_INFO = 0x0C, PHLN_LLCP_PTYPE_RR, PHLN_LLCP_PTYPE_RNR }
| Protocol Data Unit (PDU) type. More...
enum | phlnLlcp_Transport_Socket_Type { PHLN_LLCP_TRANSPORT_CONNECTIONLESS = 0xA0, PHLN_LLCP_TRANSPORT_SERVER_CONNECTIONORIENTED, PHLN_LLCP_TRANSPORT_CLIENT_CONNECTIONORIENTED }
| Socket Type. More...
enum | phlnLlcp_Transport_Socket_State
| Socket State of LLCP transport.

## Functions
phStatus_t | phlnLlcp_Sw_Init (phlnLlcp_Sw_DataParams_t *pDataParams, uint16_t wSizeOfDataParams, uint8_t *pLocalGenBytes, uint8_t *pLocalGenBytesLen)
| Initialize LLCP layer. More...

## Detailed Description

Implementation of NFCForum Logical Link Control Protocol (LLCP) 1.1.

## Macro Definition Documentation

## § PHLN_LLCP_SW_ID

#define PHLN_LLCP_SW_ID 0x01

ID for Software LLCP layer.

Event posted by Reader library thread to the application thread once LLCP is activated.

## Enumeration Type Documentation

## § phlnLlcp_PType

enum phlnLlcp_PType

Protocol Data Unit (PDU) type.

Enumerator
PHLN_LLCP_PTYPE_SYMM | Symmetry PDU.
PHLN_LLCP_PTYPE_PAX | Parameter Exchange concerning the LLCP Link configuration.
PHLN_LLCP_PTYPE_AGF | Aggregated Frame.
PHLN_LLCP_PTYPE_UI | Unnumbered Information to transfer service data units to the peer LLC.
PHLN_LLCP_PTYPE_CONNECT | CONNECT PDU is an unnumbered PDU which is used to request a data link connection.
PHLN_LLCP_PTYPE_DISC | Disconnect is an unnumbered PDU which is used to terminate a data link connection.
PHLN_LLCP_PTYPE_CC | Connection Complete is used by an LLC to acknowledge the receipt and acceptance of the CONNECT.
PHLN_LLCP_PTYPE_DM | Disconnected Mode is used to report status indicating that the LLC is logically disconnected.
PHLN_LLCP_PTYPE_FRMR | Frame Reject is used to report the receipt of a inappropriate PDU.
PHLN_LLCP_PTYPE_SNL | Service Name Lookup used to discover the availability of named services.
PHLN_LLCP_PTYPE_INFO | Information is used to transfer service data units.
PHLN_LLCP_PTYPE_RR | Receive Ready to acknowledge one or more received I PDUs and indicate that the LLC is able to receive subsequent Information PDUs (I PDUs).
PHLN_LLCP_PTYPE_RNR | Receive Not Ready is used by LLC to indicate a temporary inability to process subsequent I PDUs.

## § phlnLlcp_Transport_Socket_Type

enum phlnLlcp_Transport_Socket_Type

Socket Type.

Enumerator
PHLN_LLCP_TRANSPORT_CONNECTIONLESS | Connection-less communication.
PHLN_LLCP_TRANSPORT_SERVER_CONNECTIONORIENTED | Connection-oriented Server.
PHLN_LLCP_TRANSPORT_CLIENT_CONNECTIONORIENTED | Connection-oriented Client.

## Function Documentation

## § phlnLlcp_Sw_Init()

phStatus_t phlnLlcp_Sw_Init | ( | phlnLlcp_Sw_DataParams_t * | pDataParams,
|  | uint16_t | wSizeOfDataParams,
|  | uint8_t * | pLocalGenBytes,
|  | uint8_t * | pLocalGenBytesLen
| ) |  |

Initialize LLCP layer.

Returns
  Status code

Return values

  PH_ERR_SUCCESS | Operation successful.

Parameters

  [in] | pDataParams | Pointer to this layer's parameter structure.
  [in] | wSizeOfDataParams | Specifies the size of the data parameter structure.
  [out] | pLocalGenBytes | Pointer to General data bytes buffer (Length of the buffer should be between min 6bytes and max 20bytes based on number the TLV to be framed).
  [out] | pLocalGenBytesLen | Length of General data bytes.